Subject: Re: [PATCH 3/5] reftable/stack: fix compiler warning due to missing braces

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Aug 2025 07:37:18 -0700

Patrick Steinhardt <[email-masked]> writes:

>> I think the suggestion for using a shim layer solution is relevant, because
>> additionally to the compatibility issues of the zero initializer, you also
>> need to take into consideration that the proposed solution will still trigger
>> warnings when compiled as C++ (where {0} should be instead {}).
>
> Do we even support compiling Git as C++?

There was an earlier effort to rename variables like "new", but I
think the motivation was more like some folks wanted to try building
with C++ compilers.  I do not know what the outcome of it was.

But people like to disect and include pieces of useful and/or
popular software in their programs within the limitation of how the
original is licensed.  Especially a part well libified like reftable
may be a good candidate.